Subject: [sup-talk] About newlines

From: [email-masked] (kendall at clarkparsia.com)
Date: Fri, 4 Apr 2008 12:17:55 -0400 (EDT)

This is precisely what my correspondents see when I forward messages w/out editing them from sup -- and they yell at me, which isn't fun. :>

Cheers,
Kendall

PS--Sorry for the top post, but it seemed reasonable here (and I'm not using sup today!).

On Friday, April 4, 2008 12:10pm, Nicolas Pouillard <nicolas.pouillard at gmail.com> said:

> _______________________________________________
> sup-talk mailing list
> sup-talk at rubyforge.org
> http://rubyforge.org/mailman/listinfo/sup-talk
> Excerpts from William Morgan's message of Fri Apr 04 18:08:02 +0200 2008:>
> Reformatted excerpts from nicolas.pouillard's message of 2008-04-04:> > I'm 
> hitting  a  bug  concerning forwarding, all newlines get trimmed> > off. I'm
> trying  to fix the bug, but I don't understand if arrays of> > lines are supposed
> to be ended by newlines or not.> > I don't see this behavior, either in the
> forward mode buffer or in the> resulting message.> > Newlines shouldn't exist in
> arrays of lines.> ForwardMode#forward_body_lines is the relevant method. Let me
> know what> you discover.I hope that my bunch of patches will makes this clear.--
> Nicolas Pouillard aka Ertai